Bug 110651 - www/apache22 Use USE_BDB infrastructure to select appropriate db[2-4]
Summary: www/apache22 Use USE_BDB infrastructure to select appropriate db[2-4]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-22 01:40 UTC by Timur I. Bakeyev
Modified: 2009-06-12 01:34 UTC (History)
0 users

See Also:


Attachments
Makefile.modules.diff (1.67 KB, patch)
2007-03-22 01:40 UTC, Timur I. Bakeyev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timur I. Bakeyev 2007-03-22 01:40:02 UTC

Apache 2.2(and 2.[01] also) can use BerkleyDB 2-4 as a storage data backend. At the moment version of the database is selected with separate switch and contains quite complex logic for finding appropriate libraries and headers. Moreover, it's not always up-to-date with the latest BerkleyDB versions - it took quite a while to add db44 support for example.

Also, if port configuration is stored in make.conf or pkgtools.conf it's easy to forget about dependency on DBD in case of upgrade to a newer version, so it's potential source of multiple installations of BerkleyDB in the system, which isn't goot for maintaince.

So, to eliminate all that issues I suggest to use more standard USE_BDB knob to select appropriate version of BerkleyDB with all it's benefits, like usage of the highest available version automatically, set up paths and dependencies and global selection of the version to use.

Here I propose a patch, that do all this. It was tested in my environment and worked ok.

One note - USE_BDB knob doesn't cover usage of legacy db185, so a separate know for it still have to remain.
Comment 1 Edwin Groothuis freebsd_committer 2007-03-22 01:40:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clement

Over to maintainer
Comment 2 Philip M. Gollucci freebsd_committer 2008-12-27 20:29:23 UTC
Responsible Changed
From-To: clement->apache

apache team
Comment 3 Philip M. Gollucci freebsd_committer 2009-06-10 07:27:48 UTC
Responsible Changed
From-To: apache->pgollucci

this one can go in the next round too
Comment 4 Philip M. Gollucci freebsd_committer 2009-06-12 01:34:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!